local mod = RW:Boss("Ebonroc", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables

-- Wing buffet
local wWingBuffet, tWingBuffetCD

-- Shadow of Ebonroc
local tShadowDur, wShadow

local RoleBits = RW.Utils.Constants.RoleBits

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		-- Register locale variables
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(14601)
	self:SetWin(14601)
	
	-- Wing buffet
	tWingBuffetCD		= self:CDTimer(30, 23339)
	wWingBuffet			= self:CastWarning(23339, nil, nil, RoleBits.TANK)
	
	-- Shadow of Ebonroc
	tShadowDur			= self:DurTargetTimer(8, 23340)
	wShadow				= self:CastWarning(23340, nil, nil, bit.bor(RoleBits.TANK, RoleBits.HEALER))
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	self:Track("WingBuffet", 23339)
	self:Track("Shadow", 23340)
end

function mod:WingBuffet(event, args)
	if event == "SPELL_CAST_START" then
		tWingBuffetCD:Start()
		wWingBuffet:Show()
	end
end

function mod:Shadow(event, args)
	if event == "SPEL_AURA_APPLIED" then
		tShadowDur:Start(args.dName)
		wShadow:Show()
	end
end