local mod = RW:Boss("Flamegor", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables

-- Wing buffet
local wWingBuffet, tWingBuffetCD

-- 	Enrage
local tEnrageCD, wEnrage

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		-- Register locale variables
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(11981)
	self:SetWin(11981)

	-- Wing buffet
	tWingBuffetCD		= self:CDTimer(30, 23339)
	wWingBuffet			= self:CastWarning(23339, nil, nil, RoleBits.TANK)
	
	-- Enrage
	tEnrageCD			= self:CDTimer(10, 23342)
	wEnrage				= self:CastWarning(23342)
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	self:Track("WingBuffet", 23339)
	self:Track("Enrage", 23342)
end

function mod:WingBuffet(event, args)
	if event == "SPELL_CAST_START" then
		tWingBuffetCD:Start()
		wWingBuffet:Show()
	end
end

function mod:Enrage(event, args)
	if event == "SPELL_AURA_APPLIED" then
		tEnrageCD:Start()
		wEnrage:Show()
	end
end