local mod = RW:Boss("Razorgore the Untamed", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables
local tFirstAdds, mPhase

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.Start = "Intruders have breached the hatchery!"
		
		L.First_Add = "First Adds Spawning"
		L.Eggs_Destroyed = "Eggs Destroyed"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:AddEmoteTrigger(L.Start)
	self:AddMobTrigger(12557, 14456, 12416, 12420, 12435) -- Controller, Guards, Leigoners, Mages, Razorgor
	self:SetWin(12435)
	
	mPhase			= self:PhaseMessage()
	tFirstAdds		= self:CustomTimer(45, L.First_Add, L.First_Add, [[Interface\Icons\INV_Misc_CandySkull]])
end

---------------------------
-- Locals
local EggsPopped

local function EggsUpdate()
	return EggsPopped, 30, L.Eggs_Destroyed
end

-- API Functions

function mod:OnEngage(trigger)
	self:Track("Eggs", 19873)	

	EggsPopped = 0
	if (type(trigger) == "string" and trigger:find(L.Start)) or trigger == 12557 then
		RW.Callbacks:Fire("MPBExternal", "RazorgoreEggs", EggsUpdate, nil, nil, [[Interface\Icons\inv_egg_02]])
		tFirstAdds:Start()
	end
end

function mod:Eggs(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		EggsPopped = EggsPopped + 1
		if EggsPopped >= 30 then
			mPhase:Show(2)
			RW.Callbacks:Fire("MPBExternalHide", "RazorgoreEggs")
		end
	end
end